<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MAiNGO Reader Writer Utility: maingo::readerWriter::OptimizationVariable Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MAiNGO Reader Writer Utility
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>maingo</b></li><li class="navelem"><b>readerWriter</b></li><li class="navelem"><a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html">OptimizationVariable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmaingo_1_1reader_writer_1_1_optimization_variable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">maingo::readerWriter::OptimizationVariable Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Auxiliary struct for representing an optimization variable. Mostly copied from MAiNGOutils.h.  
 <a href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_m_ai_n_g_o_reader_writer_8h_source.html">MAiNGOReaderWriter.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a38950f15ac1c46a02d58cc31746d228f"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a38950f15ac1c46a02d58cc31746d228f">lowerBound</a></td></tr>
<tr class="separator:a38950f15ac1c46a02d58cc31746d228f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6818a15cdf5493baaa8db1f7e47ea16f"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a6818a15cdf5493baaa8db1f7e47ea16f">upperBound</a></td></tr>
<tr class="separator:a6818a15cdf5493baaa8db1f7e47ea16f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac21e7f969675bb9b3f936e0b148fcd0b"><td class="memItemLeft" align="right" valign="top">VT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#ac21e7f969675bb9b3f936e0b148fcd0b">variableType</a></td></tr>
<tr class="separator:ac21e7f969675bb9b3f936e0b148fcd0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14f25915f5b749863a931051188f2b2c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmaingo_1_1reader_writer_1_1_optimization_variable.html#a14f25915f5b749863a931051188f2b2c">name</a></td></tr>
<tr class="separator:a14f25915f5b749863a931051188f2b2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Auxiliary struct for representing an optimization variable. Mostly copied from MAiNGOutils.h. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a38950f15ac1c46a02d58cc31746d228f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38950f15ac1c46a02d58cc31746d228f">&#9670;&nbsp;</a></span>lowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double maingo::readerWriter::OptimizationVariable::lowerBound</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Lower interval bound of the optimization variable </p>

</div>
</div>
<a id="a14f25915f5b749863a931051188f2b2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14f25915f5b749863a931051188f2b2c">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string maingo::readerWriter::OptimizationVariable::name</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Name of the variable </p>

</div>
</div>
<a id="a6818a15cdf5493baaa8db1f7e47ea16f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6818a15cdf5493baaa8db1f7e47ea16f">&#9670;&nbsp;</a></span>upperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double maingo::readerWriter::OptimizationVariable::upperBound</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Upper interval bound of the optimization variable </p>

</div>
</div>
<a id="ac21e7f969675bb9b3f936e0b148fcd0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac21e7f969675bb9b3f936e0b148fcd0b">&#9670;&nbsp;</a></span>variableType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VT maingo::readerWriter::OptimizationVariable::variableType</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Type of the variable </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/dobo01/maingo/utilities/MAiNGO_Reader_Writer/inc/<a class="el" href="_m_ai_n_g_o_reader_writer_8h_source.html">MAiNGOReaderWriter.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
